Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 655620 - dev-python/PyQt5-5.9.2 ~ppc keywording request
Summary: dev-python/PyQt5-5.9.2 ~ppc keywording request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: PPC Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 656040
  Show dependency tree
 
Reported: 2018-05-12 23:32 UTC by ernsteiswuerfel
Modified: 2018-07-28 16:34 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/PyQt5-5.9.2 ~ppc dev-python/PyQt5-5.10.1 ~ppc dev-qt/qtwebkit-5.9.1 ~ppc dev-qt/qtsensors-5.9.5 ~ppc dev-qt/qtsensors-5.11.0_rc2 ~ppc dev-qt/qtpositioning-5.9.5 ~ppc dev-qt/qtpositioning-5.11.0_rc2 ~ppc dev-qt/qtwebchannel-5.9.5 ~ppc dev-qt/qtwebchannel-5.11.0_rc2 ~ppc dev-qt/qtwebsockets-5.9.5 ~ppc dev-qt/qtwebsockets-5.11.0_rc2 ~ppc dev-qt/qtserialport-5.9.5 ~ppc dev-qt/qtserialport-5.11.0_rc2 ~ppc
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2018-05-12 23:32:20 UTC
Both dev-python/PyQt5-5.9.2 and 5.10.1 build & run fine on my G5 32bit userland.
Comment 1 Stabilization helper bot gentoo-dev 2018-05-13 12:03:47 UTC
An automated check of this bug failed - repoman reported dependency errors (170 lines truncated): 

> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: DEPEND: ~ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: RDEPEND: ~ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: DEPEND: ~ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: DEPEND: ~ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: RDEPEND: ~ppc(default/linux/powerpc/ppc32/13.0) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
> dependency.bad dev-python/PyQt5/PyQt5-5.9.2.ebuild: DEPEND: ~ppc(default/linux/powerpc/ppc32/13.0/desktop) ['>=dev-qt/qtpositioning-5.9.3:5', '>=dev-qt/qtsensors-5.9.3:5', '>=dev-qt/qtserialport-5.9.3:5', '>=dev-qt/qtwebchannel-5.9.3:5', '>=dev-qt/qtwebkit-5.9:5[printsupport]', '>=dev-qt/qtwebsockets-5.9.3:5']
Comment 2 Andreas Sturmlechner gentoo-dev 2018-05-13 16:20:29 UTC
Should we package.use.mask (most) of these dependencies or do you want to extend stabilisation?
Comment 3 ernsteiswuerfel 2018-05-14 15:23:51 UTC
I suggest to do the qt-5.9.5 stabilization first and ~ppc keyword (most of) the relevant packages later. I think package.use.masking most of the packages here is a bit of an overkill since they are ~ppc64/ppc64 anyway.

If my suggestion above seems no good way to handle things, I suggest to extend stabilization for the packages which are needed for keywording www-client/otter-0.9.8, which has been quite around for a while (bug #651388) and package.use.mask the rest.

I will create a package list to get a better overview what's missing aside from Qt5 packages. But feel free to modify it in any way.
Comment 4 Stabilization helper bot gentoo-dev 2018-05-14 16:03:07 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Andreas Sturmlechner gentoo-dev 2018-05-18 15:19:35 UTC
I don't see Qt 5.9.5 stabilisation (whenever that happens) related to keywording here.

If you can keyword the necessary Qt dependencies then package.use.mask can be left alone, even cleaned up for a bit.
Comment 6 Andreas Sturmlechner gentoo-dev 2018-05-18 15:23:29 UTC
(The best way to make sure that ~ppc is not lost again is to take care of the most recent versions, even if masked, like Qt 5.11.0-rc2.) That's not to say you should scrap PyQt5-5.9.2/Qt-5.9.4 keywording, but if it is a question about load, always prefer latest for keywording.
Comment 7 ernsteiswuerfel 2018-05-20 23:17:24 UTC
I unmasked and rebuilt Qt as you suggested. The relevant packages for keywording built fine:

# emerge -pqv qtsensors qtpositioning qtwebchannel qtwebsockets qtserialport
[ebuild   R   ] dev-qt/qtsensors-5.11.0_rc2  USE="-debug -qml {-test}" 
[ebuild   R   ] dev-qt/qtpositioning-5.11.0_rc2  USE="-debug -geoclue -qml {-test}" 
[ebuild   R   ] dev-qt/qtwebchannel-5.11.0_rc2  USE="qml -debug {-test}" 
[ebuild   R   ] dev-qt/qtwebsockets-5.11.0_rc2  USE="ssl -debug -qml {-test}" 
[ebuild   R   ] dev-qt/qtserialport-5.11.0_rc2  USE="-debug {-test}"

However building dev-python/PyQt5-5.10.1 against Qt 5.11.0-rc2 failed (bug #656198).
Comment 8 ernsteiswuerfel 2018-05-21 18:16:08 UTC
Building PyQt5-5.10.1 succeeded against Qt 5.11.0-rc2, apart from bug #654742 [testlib] and bug #656232 [webkit].

[ebuild   R   ] dev-python/PyQt5-5.10.1  USE="dbus declarative designer examples gui help network opengl positioning printsupport sensors serialport sql svg webchannel websockets widgets x11extras xmlpatterns (-bluetooth) -debug (-gles2) (-location) -multimedia -testlib (-webengine) -webkit" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5"
Comment 9 ernsteiswuerfel 2018-05-22 18:02:52 UTC
Ok, Building PyQt5-5.9.2 against Qt 5.11.0-rc2 succeded too.

[ebuild   R   ] dev-python/PyQt5-5.9.2  USE="dbus declarative designer examples gui help network opengl positioning printsupport sensors serialport sql svg webchannel websockets widgets x11extras xmlpatterns (-bluetooth) -debug (-gles2) (-location) -multimedia -testlib (-webengine) -webkit" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5"

Good enough for a keywording request? Or should I run it again with FEATURES="test"?
Comment 10 Andreas Sturmlechner gentoo-dev 2018-05-27 08:02:54 UTC
Thanks for your work, please create a PR with the added keywords. :)
Comment 11 Andreas Sturmlechner gentoo-dev 2018-05-27 08:04:12 UTC
If you have the time you may as well include bug 656040 keywording in the same PR for us to proceed.
Comment 12 Larry the Git Cow gentoo-dev 2018-06-02 23:21:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19b37b6badeb077997c31aec1702c54e8d4be828

commit 19b37b6badeb077997c31aec1702c54e8d4be828
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-02 20:40:54 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-02 23:20:50 +0000

    dev-python/PyQt5: Add ~ppc, bug #655620
    
    Tested-by: ernsteiswuerfel
    Closes: https://bugs.gentoo.org/655620
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/PyQt5/PyQt5-5.10.1.ebuild | 2 +-
 dev-python/PyQt5/PyQt5-5.9.2.ebuild  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)
Comment 13 ernsteiswuerfel 2018-06-02 23:59:56 UTC
@asturm: Thanks for your work! Sorry, I have not had the time to do the research on how to get a PR right. :(